[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# IdentToCharset

Converts the specified character set identifier to the its numeric representation.

## Declaration

Source position: graphics.pp line 1955

`function IdentToCharset(`
`const Ident: string;`
`out Charset: LongInt`
`):Boolean;`

## Arguments

`Ident` |  | String with the character set identifier to locate in the FontCharsets constant.
`Charset` |  | Returns the numeric representation for the specified character set name. It returns the value on entry if Ident is not found.

## Function result

True if the specified string value exists in the FontCharsets constant.

## Description

Calls the RTL IdentToInt routine to locate the TIdentMapEntry for the specified value in the FontCharsets constant.

## See also

CharsetToIdent |  | Converts the specified numeric character set identifier to its representation as a string.
FontCharsets |  | Array constant with TIdentMapEntry values for character sets in TFont instances.
IntToIdent
IdentToInt
TIdentMapEntry